//
//  GetExplorerResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation

struct GetExplorerResponse: Decodable {
    let sections: [GetExplorerSectionResponse]
}

struct GetExplorerSectionResponse: Decodable, Hashable {
    let title: String
    let coloredTitle: String?
    let color: String?
    let desc: String?
    let creators: [GetExplorerSectionCreatorResponse]
}

struct GetExplorerSectionCreatorResponse: Decodable, Hashable {
    let id: Int
    let nickname: String
    let tags: String
    let profileImageUrl: String
}

